Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452921 - Review Request: libzrtpcpp - ZRTP support library for the GNU ccRTP stack
Summary: Review Request: libzrtpcpp - ZRTP support library for the GNU ccRTP stack
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 433265
TreeView+ depends on / blocked
 
Reported: 2008-06-25 21:18 UTC by Kevin Fenzi
Modified: 2008-08-14 02:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-14 02:28:47 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Fenzi 2008-06-25 21:18:45 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/libzrtpcpp/libzrtpcpp.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/libzrtpcpp/libzrtpcpp-1.3.0-1.fc10.src.rpm
Description:

This package provides a library that adds ZRTP support to the GNU
ccRTP stack. Phil Zimmermann developed ZRTP to allow ad-hoc, easy to
use key negotiation to setup Secure RTP (SRTP) sessions. GNU ZRTP
together with GNU ccRTP (1.5.0 or later) provides a ZRTP
implementation that can be directly embedded into client and server
applications.

There are some minor rpmlint warnings, which I don't think are worth fixing, but I suppose I will at reviewer request. Otherwise builds fine for me.

Comment 1 Jason Tibbitts 2008-06-27 04:14:37 UTC
I guess those rpmlint complaints boil down to;
  No docs for the -devel package.
  NEWS is executable.
  A couple of source files are executable, which makes rpmlint complain about the 
   debuginfo package.
  These:
  libzrtpcpp.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libzrtpcpp-1.3.so.0.0.0 /lib64/libdl.so.2
  libzrtpcpp.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libzrtpcpp-1.3.so.0.0.0 /lib64/librt.so.1
  libzrtpcpp.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libzrtpcpp-1.3.so.0.0.0 /lib64/libgpg-error.so.0
  libzrtpcpp.x86_64: W: unused-direct-shlib-dependency 
   /usr/lib64/libzrtpcpp-1.3.so.0.0.0 /lib64/libm.so.6
aren't a serious issue but again it's a one line sed call to tweak libtool to
make them go away.

These are really trivial fixes and the unused-direct-shlib-dependency isn't
really a blocker, so I'll trust you to do what's best when you check in.

* source files match upstream:
   5b4e5a439543541a041f68f30c203180198e3ced2d6df488ab1390be6d383cfc  
   libzrtpcpp-1.3.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
   The source files have a number of licenses (GPLv3+, GPLv2+ and what looks 
   like an MIT variant) but the final product seems to be GPLv3+. 
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
X rpmlint has a few valid complaints.
* final provides and requires are sane:
  libzrtpcpp-1.3.0-1.fc10.x86_64.rpm
   libzrtpcpp-1.3.so.0()(64bit)
   libzrtpcpp = 1.3.0-1.fc10
  =
   /sbin/ldconfig
   libccgnu2-1.6.so.0()(64bit)
   libccrtp1-1.6.so.0()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcrypt.so.11()(64bit)
   libgcrypt.so.11(GCRYPT_1.2)(64bit)
   libgpg-error.so.0()(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
   libzrtpcpp-1.3.so.0()(64bit)

  libzrtpcpp-devel-1.3.0-1.fc10.x86_64.rpm
   libzrtpcpp-devel = 1.3.0-1.fc10
  =
   libzrtpcpp = 1.3.0-1.fc10
   libzrtpcpp-1.3.so.0()(64bit)
   pkgconfig

* %check is not present; no test suite upstream.  I've no idea how to test this.
* shared libraries installed:
   unversioned .so links are in the -devel package.
   ldconfig is called properly.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (pkgconfig).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* pkgconfig files in the -devel package.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 2 Kevin Fenzi 2008-06-30 19:55:36 UTC
Thanks for the quick review. 
I will clean up those unused-direct-shlib-dependency errors before checking in. 

New Package CVS Request
=======================
Package Name: libzrtpcpp
Short Description: ZRTP support library for the GNU ccRTP stack
Owners: kevin
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: Yes


Comment 3 Kevin Fenzi 2008-06-30 20:05:56 UTC
cvs done.

Comment 4 Fedora Update System 2008-07-14 18:00:39 UTC
twinkle-1.2-3.fc9,libzrtpcpp-1.3.0-2.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-07-14 19:08:27 UTC
twinkle-1.2-2.fc8,libzrtpcpp-1.3.0-2.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-07-15 12:15:47 UTC
twinkle-1.2-2.fc8, libzrtpcpp-1.3.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update twinkle libzrtpcpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6374

Comment 7 Fedora Update System 2008-08-07 23:55:35 UTC
twinkle-1.2-2.fc8, libzrtpcpp-1.3.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-08-07 23:58:14 UTC
libzrtpcpp-1.3.0-2.fc9, twinkle-1.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Kevin Fenzi 2008-08-14 02:28:47 UTC
Done and pushed. Closing. 

Thanks for the review!


Note You need to log in before you can comment on or make changes to this bug.